# cloudflared

![Version: 0.1.1](https://img.shields.io/badge/Version-0.1.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 2023.8.2](https://img.shields.io/badge/AppVersion-2023.8.2-informational?style=flat-square)

Cloudflare Tunnel client (formerly Argo Tunnel)

## Source Code

* <https://github.com/cloudflare/cloudflared>

## Requirements

Kubernetes: `>=1.22.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://bjw-s.github.io/helm-charts | common | 1.5.1 |

## Installing the Chart

This is a [Helm Library Chart](https://helm.sh/docs/topics/library_charts/#helm).

**WARNING: THIS CHART IS NOT MEANT TO BE INSTALLED DIRECTLY**

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| command[0] | string | `"cloudflared"` |  |
| command[1] | string | `"tunnel"` |  |
| command[2] | string | `"--metrics"` |  |
| command[3] | string | `"0.0.0.0:2000"` |  |
| command[4] | string | `"run"` |  |
| env | object | `{}` |  |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"cloudflare/cloudflared"` | image repository |
| image.tag | string | `"2023.8.2"` | image tag |
| probes.liveness.custom | bool | `true` |  |
| probes.liveness.spec.failureThreshold | int | `1` |  |
| probes.liveness.spec.httpGet.path | string | `"/ready"` |  |
| probes.liveness.spec.httpGet.port | int | `2000` |  |
| probes.liveness.spec.initialDelaySeconds | int | `10` |  |
| probes.liveness.spec.periodSeconds | int | `10` |  |
| service.main | object | See [values.yaml](./values.yaml) | Configures HTTP service settings for the chart. |

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)
